> ## Documentation Index
> Fetch the complete documentation index at: https://docs.profy.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Models

> Returns all models available for use with /v1/chat/completions, including capability metadata.



## OpenAPI

````yaml GET /v1/models
openapi: 3.0.0
info:
  title: Profy Platform API
  version: 1.0.0
  description: >-
    Platform API for building on Profy — invoke Experts, use models, report
    billing events, and manage OAuth.
servers:
  - url: https://api.profy.cn
    description: Production
security: []
paths:
  /v1/models:
    get:
      tags:
        - Platform API
      summary: List available models
      description: >-
        Returns all models available for use with /v1/chat/completions,
        including capability metadata.
      operationId: listModels
      responses:
        '200':
          description: Model list
          content:
            application/json:
              schema:
                type: object
                properties:
                  models:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Model identifier
                        name:
                          type: string
                          description: Display name
                        capabilities:
                          type: object
                          properties:
                            supportsTools:
                              type: boolean
                            supportsVision:
                              type: boolean
                            maxInputTokens:
                              type: integer
                              nullable: true
                            maxOutputTokens:
                              type: integer
                              nullable: true
        '401':
          description: Unauthorized
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: Developer API Key (sk-pro-xxx) created at platform.profy.cn

````